dnl aclocal.m4 generated automatically by aclocal 1.4

dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
dnl This file is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.

dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY, to the extent permitted by law; without
dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
dnl PARTICULAR PURPOSE.

dnl mhe_CHECK_TYPES
dnl stolen from configure.in in openssh-2.9p1

AC_DEFUN(mhe_CHECK_TYPES,
[
  dnl Checks for data types

  AC_CACHE_CHECK([for u_intXX_t types], ac_cv_have_u_intxx_t, [
    AC_TRY_COMPILE(
      [ #include <sys/types.h> ],
      [ u_int8_t a; u_int16_t b; u_int32_t c; a = b = c = 1;],
      [ ac_cv_have_u_intxx_t="yes" ],
      [ ac_cv_have_u_intxx_t="no" ]
    )
  ])
  if test "x$ac_cv_have_u_intxx_t" = "xyes" ; then
    AC_DEFINE(HAVE_U_INTXX_T)
    have_u_intxx_t=1
  fi

  if test -z "$have_u_intxx_t" ; then
    AC_CACHE_CHECK([for uintXX_t types], ac_cv_have_uintxx_t, [
      AC_TRY_COMPILE(
        [#include <sys/types.h>],
        [ uint8_t a; uint16_t b; uint32_t c; a = b = c = 1; ],
        [ ac_cv_have_uintxx_t="yes" ],
        [ ac_cv_have_uintxx_t="no" ]
      )
    ])
    if test "x$ac_cv_have_uintxx_t" = "xyes" ; then
      AC_DEFINE(HAVE_UINTXX_T)
      have_u_intxx_t=1
    fi
  fi

  if test -z "$have_u_intxx_t" ; then
    AC_CHECK_SIZEOF(char, 1)
    AC_CHECK_SIZEOF(short int, 2)
    AC_CHECK_SIZEOF(int, 4)
  fi

  AC_CACHE_CHECK([for u_int64_t type], ac_cv_have_u_int64_t, [
    AC_TRY_COMPILE(
      [ #include <sys/types.h> ],
      [ u_int64_t a; a = 1;],
      [ ac_cv_have_u_int64_t="yes" ],
      [ ac_cv_have_u_int64_t="no" ]
    )
  ])
  if test "x$ac_cv_have_u_int64_t" = "xyes" ; then
    AC_DEFINE(HAVE_U_INT64_T)
    have_u_int64_t=1
  fi

  if test -z "$have_u_int64_t" ; then
    AC_CACHE_CHECK([for uint64_t type], ac_cv_have_uint64_t, [
      AC_TRY_COMPILE(
        [ #include <sys/types.h> ],
        [ uint64_t a; a = 1;],
        [ ac_cv_have_uint64_t="yes" ],
        [ ac_cv_have_uint64_t="no" ]
      )
    ])
    if test "x$ac_cv_have_uint64_t" = "xyes" ; then
      AC_DEFINE(HAVE_UINT64_T)
      have_u_int64_t=1
    fi
  fi

  if test -z "$have_u_int64_t" ; then
    AC_CHECK_SIZEOF(long int, 4)
    AC_CHECK_SIZEOF(long long int, 8)
  fi

])

dnl mhe_CHECK_PROTO
dnl checks if function $1 needs a prototype
dnl Syntax: mhe_CHECK_PROTO(function, includes)
dnl defines NEED_$1_PROTO

AC_DEFUN(mhe_CHECK_PROTO,
[
  AC_MSG_CHECKING(if $1 needs a prototype)
  AC_CACHE_VAL(mhe_cv_$1_need_proto, [
    AC_TRY_COMPILE([$2], [
      struct foo { int bar; } x;
      void $1(struct foo *);
      $1(&x);],
	  eval "mhe_cv_$1_need_proto=yes",
	  eval "mhe_cv_$1_need_proto=no"
	)
  ])

  if test "$mhe_cv_$1_need_proto" = "yes"; then
    AC_MSG_RESULT(yes)
	AC_DEFINE(NEED_$1_PROTO)
  else
    AC_MSG_RESULT(no)
  fi
])

AC_DEFUN(mhe_ARG_WITH,
[
  if test "$2" = ""; then
    mhe_with_$1_default="no"
  else
    mhe_with_$1_default="yes"
  fi
	AC_ARG_WITH($1, [
  --with-$1[=DIR]            use $1 in DIR, looks for libraries
                             in DIR/lib and header files in DIR/include],
		if test "$withval" != "yes" && test "$withval" != "no" ; then
			CPPFLAGS="$CPPFLAGS -I$withval/include"
			LDFLAGS="$LDFLAGS -L$withval/lib"
		fi)

	AC_ARG_WITH($1-lib,
	[  --with-$1-lib=DIR          use $1 libraries in DIR],
		LDFLAGS="$LDFLAGS -L$withval")

	AC_ARG_WITH($1-include,
	[  --with-$1-include=DIR      use $1 header files in DIR],
		CPPFLAGS="$CPPFLAGS -I$withval")

  if test "$with_$1" = "" -a "$with_$1_lib" = "" -a "$with_$1_include" = ""; then
    mhe_with_$1=$mhe_with_$1_default
  elif test "$with_$1" = "no"; then
    mhe_with_$1="no"
  elif test "$with_$1" != "no" -o "$with_$1_lib" != "no" -o "$with_$1_include" != "no"; then
    mhe_with_$1="yes"
  fi
])

AC_DEFUN(mhe_WITH_WARN,
[
	AC_ARG_WITH(warn,
	[  --with-warn                   compile with warning options (default=no)],
	if test "$with_warn" = "yes"; then
	  AC_MSG_CHECKING(for warning options)
	  dnl add -Wall if we're using GNU CC
	  if test "$GCC" = "yes"; then
	    CFLAGS="$CFLAGS -Wall"
	    AC_MSG_RESULT(-Wall)
	  else
	    AC_MSG_RESULT(none)
	  fi
	fi)
])

dnl mhe_CHECK_READLINE
dnl
dnl Checks for GNU Readline library version >= 2.0
dnl No arguments, adds appropriate libraries to LIBS,
dnl and defines HAVE_LIBREADLINE if found.
dnl
dnl Copyright (C) 1998 Martin Hedenfalk. All rights reserved.
dnl This macro is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by the
dnl Free Software Foundation; either version 2 of the License, or (at your
dnl option) any later version.  As usual, there's no warranty at all: see
dnl the License for details.
dnl
dnl checks for rl_function_of_keyseq (appeared in 2.0)
dnl checks for rl_completion_append_character (appeared in 2.1)
dnl check for rl_completion_matches (renamed from completion_matches in 4.2)

AC_DEFUN(mhe_CHECK_READLINE,
[
    AC_SEARCH_LIBS(tgetent, ncurses curses termcap, ,
     AC_WARN(can't find terminal library))

	AC_MSG_CHECKING(for readline >= 2.0)

	AC_CACHE_VAL(mhe_cv_lib_readline,
	[
		mhe_LIBS="$LIBS"
	    LIBS="-lreadline $LIBS"
	    AC_TRY_LINK(
			[extern int rl_function_of_keyseq(int foo);],
			[rl_function_of_keyseq(0);],
			mhe_cv_lib_readline=200,
			mhe_cv_lib_readline=no
		)
		LIBS="$mhe_LIBS"

		if test "$mhe_cv_lib_readline" = "200"; then
			mhe_LIBS="$LIBS"
		    LIBS="-lreadline $LIBS"
	    	AC_TRY_LINK(
				[extern int rl_completion_append_character;],
				[rl_completion_append_character=0;],
				mhe_cv_lib_readline=210
			)
			LIBS="$mhe_LIBS"
		fi

		if test "$mhe_cv_lib_readline" = "210"; then
			mhe_LIBS="$LIBS"
		    LIBS="-lreadline $LIBS"
	    	AC_TRY_LINK(
				[extern void rl_completion_matches();],
				[rl_completion_matches();],
				mhe_cv_lib_readline=420
			)
			LIBS="$mhe_LIBS"
		fi
	])

	if test "$mhe_cv_lib_readline" != "no"; then
		if test "$mhe_cv_lib_readline" = "420"; then
		    AC_MSG_RESULT(version 4.2 or higher)
		elif test "$mhe_cv_lib_readline" = "210"; then
		    AC_MSG_RESULT(version 2.1 or higher)
		else
		    AC_MSG_RESULT(version 2.0)
		fi
	    LIBS="-lreadline $LIBS"
		AC_DEFINE_UNQUOTED(HAVE_LIBREADLINE, $mhe_cv_lib_readline)
	else
	    AC_MSG_RESULT(no)
	fi

	if test "$mhe_cv_lib_readline" != "no"; then
		AC_CHECK_HEADERS(readline/readline.h)
		AC_CHECK_HEADERS(readline/history.h)
	fi
])



dnl these are from bash...

dnl Check type of signal routines (posix, 4.2bsd, 4.1bsd or v7)
AC_DEFUN(BASH_SIGNAL_CHECK,
[AC_REQUIRE([AC_TYPE_SIGNAL])
AC_MSG_CHECKING(for type of signal functions)
AC_CACHE_VAL(bash_cv_signal_vintage,
[
  AC_TRY_LINK([#include <signal.h>],[
    sigset_t ss;
    struct sigaction sa;
    sigemptyset(&ss); sigsuspend(&ss);
    sigaction(SIGINT, &sa, (struct sigaction *) 0);
    sigprocmask(SIG_BLOCK, &ss, (sigset_t *) 0);
  ], bash_cv_signal_vintage=posix,
  [
    AC_TRY_LINK([#include <signal.h>], [
	int mask = sigmask(SIGINT);
	sigsetmask(mask); sigblock(mask); sigpause(mask);
    ], bash_cv_signal_vintage=4.2bsd,
    [
      AC_TRY_LINK([
	#include <signal.h>
	RETSIGTYPE foo() { }], [
		int mask = sigmask(SIGINT);
		sigset(SIGINT, foo); sigrelse(SIGINT);
		sighold(SIGINT); sigpause(SIGINT);
        ], bash_cv_signal_vintage=svr3, bash_cv_signal_vintage=v7
    )]
  )]
)
])
AC_MSG_RESULT($bash_cv_signal_vintage)
if test "$bash_cv_signal_vintage" = posix; then
AC_DEFINE(HAVE_POSIX_SIGNALS)
elif test "$bash_cv_signal_vintage" = "4.2bsd"; then
AC_DEFINE(HAVE_BSD_SIGNALS)
elif test "$bash_cv_signal_vintage" = svr3; then
AC_DEFINE(HAVE_USG_SIGHOLD)
fi
])





AC_DEFUN(BASH_FUNC_POSIX_SETJMP,
[AC_REQUIRE([BASH_SIGNAL_CHECK])
AC_MSG_CHECKING(for presence of POSIX-style sigsetjmp/siglongjmp)
AC_CACHE_VAL(bash_cv_func_sigsetjmp,
[AC_TRY_RUN([
#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif
#include <sys/types.h>
#include <signal.h>
#include <setjmp.h>

main()
{
#if !defined (_POSIX_VERSION) || !defined (HAVE_POSIX_SIGNALS)
exit (1);
#else

int code;
sigset_t set, oset;
sigjmp_buf xx;

/* get the mask */
sigemptyset(&set);
sigemptyset(&oset);
sigprocmask(SIG_BLOCK, (sigset_t *)NULL, &set);
sigprocmask(SIG_BLOCK, (sigset_t *)NULL, &oset);

/* save it */
code = sigsetjmp(xx, 1);
if (code)
  exit(0);	/* could get sigmask and compare to oset here. */

/* change it */
sigaddset(&set, SIGINT);
sigprocmask(SIG_BLOCK, &set, (sigset_t *)NULL);

/* and siglongjmp */
siglongjmp(xx, 10);
exit(1);
#endif
}], bash_cv_func_sigsetjmp=present, bash_cv_func_sigsetjmp=missing,
    [AC_MSG_ERROR(cannot check for sigsetjmp/siglongjmp if cross-compiling -- defaulting to missing)
     bash_cv_func_sigsetjmp=missing]
)])
AC_MSG_RESULT($bash_cv_func_sigsetjmp)
if test $bash_cv_func_sigsetjmp = present; then
AC_DEFINE(HAVE_POSIX_SIGSETJMP)
fi
])


# Do all the work for Automake.  This macro actually does too much --
# some checks are only needed if your package does certain things.
# But this isn't really a big deal.

# serial 1

dnl Usage:
dnl AM_INIT_AUTOMAKE(package,version, [no-define])

AC_DEFUN(AM_INIT_AUTOMAKE,
[AC_REQUIRE([AC_PROG_INSTALL])
PACKAGE=[$1]
AC_SUBST(PACKAGE)
VERSION=[$2]
AC_SUBST(VERSION)
dnl test to see if srcdir already configured
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
  AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi
ifelse([$3],,
AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Name of package])
AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Version number of package]))
AC_REQUIRE([AM_SANITY_CHECK])
AC_REQUIRE([AC_ARG_PROGRAM])
dnl FIXME This is truly gross.
missing_dir=`cd $ac_aux_dir && pwd`
AM_MISSING_PROG(ACLOCAL, aclocal, $missing_dir)
AM_MISSING_PROG(AUTOCONF, autoconf, $missing_dir)
AM_MISSING_PROG(AUTOMAKE, automake, $missing_dir)
AM_MISSING_PROG(AUTOHEADER, autoheader, $missing_dir)
AM_MISSING_PROG(MAKEINFO, makeinfo, $missing_dir)
AC_REQUIRE([AC_PROG_MAKE_SET])])

#
# Check to make sure that the build environment is sane.
#

AC_DEFUN(AM_SANITY_CHECK,
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
echo timestamp > conftestfile
# Do `set' in a subshell so we don't clobber the current shell's
# arguments.  Must try -L first in case configure is actually a
# symlink; some systems play weird games with the mod time of symlinks
# (eg FreeBSD returns the mod time of the symlink's containing
# directory).
if (
   set X `ls -Lt $srcdir/configure conftestfile 2> /dev/null`
   if test "[$]*" = "X"; then
      # -L didn't work.
      set X `ls -t $srcdir/configure conftestfile`
   fi
   if test "[$]*" != "X $srcdir/configure conftestfile" \
      && test "[$]*" != "X conftestfile $srcdir/configure"; then

      # If neither matched, then we have a broken ls.  This can happen
      # if, for instance, CONFIG_SHELL is bash and it inherits a
      # broken ls alias from the environment.  This has actually
      # happened.  Such a system could not be considered "sane".
      AC_MSG_ERROR([ls -t appears to fail.  Make sure there is not a broken
alias in your environment])
   fi

   test "[$]2" = conftestfile
   )
then
   # Ok.
   :
else
   AC_MSG_ERROR([newly created file is older than distributed files!
Check your system clock])
fi
rm -f conftest*
AC_MSG_RESULT(yes)])

dnl AM_MISSING_PROG(NAME, PROGRAM, DIRECTORY)
dnl The program must properly implement --version.
AC_DEFUN(AM_MISSING_PROG,
[AC_MSG_CHECKING(for working $2)
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf.  Sigh.
if ($2 --version) < /dev/null > /dev/null 2>&1; then
   $1=$2
   AC_MSG_RESULT(found)
else
   $1="$3/missing $2"
   AC_MSG_RESULT(missing)
fi
AC_SUBST($1)])

# Like AC_CONFIG_HEADER, but automatically create stamp file.

AC_DEFUN(AM_CONFIG_HEADER,
[AC_PREREQ([2.12])
AC_CONFIG_HEADER([$1])
dnl When config.status generates a header, we must update the stamp-h file.
dnl This file resides in the same directory as the config header
dnl that is generated.  We must strip everything past the first ":",
dnl and everything past the last "/".
AC_OUTPUT_COMMANDS(changequote(<<,>>)dnl
ifelse(patsubst(<<$1>>, <<[^ ]>>, <<>>), <<>>,
<<test -z "<<$>>CONFIG_HEADERS" || echo timestamp > patsubst(<<$1>>, <<^\([^:]*/\)?.*>>, <<\1>>)stamp-h<<>>dnl>>,
<<am_indx=1
for am_file in <<$1>>; do
  case " <<$>>CONFIG_HEADERS " in
  *" <<$>>am_file "*<<)>>
    echo timestamp > `echo <<$>>am_file | sed -e 's%:.*%%' -e 's%[^/]*$%%'`stamp-h$am_indx
    ;;
  esac
  am_indx=`expr "<<$>>am_indx" + 1`
done<<>>dnl>>)
changequote([,]))])


# serial 1

# @defmac AC_PROG_CC_STDC
# @maindex PROG_CC_STDC
# @ovindex CC
# If the C compiler in not in ANSI C mode by default, try to add an option
# to output variable @code{CC} to make it so.  This macro tries various
# options that select ANSI C on some system or another.  It considers the
# compiler to be in ANSI C mode if it handles function prototypes correctly.
#
# If you use this macro, you should check after calling it whether the C
# compiler has been set to accept ANSI C; if not, the shell variable
# @code{am_cv_prog_cc_stdc} is set to @samp{no}.  If you wrote your source
# code in ANSI C, you can make an un-ANSIfied copy of it by using the
# program @code{ansi2knr}, which comes with Ghostscript.
# @end defmac

AC_DEFUN(AM_PROG_CC_STDC,
[AC_REQUIRE([AC_PROG_CC])
AC_BEFORE([$0], [AC_C_INLINE])
AC_BEFORE([$0], [AC_C_CONST])
dnl Force this before AC_PROG_CPP.  Some cpp's, eg on HPUX, require
dnl a magic option to avoid problems with ANSI preprocessor commands
dnl like #elif.
dnl FIXME: can't do this because then AC_AIX won't work due to a
dnl circular dependency.
dnl AC_BEFORE([$0], [AC_PROG_CPP])
AC_MSG_CHECKING(for ${CC-cc} option to accept ANSI C)
AC_CACHE_VAL(am_cv_prog_cc_stdc,
[am_cv_prog_cc_stdc=no
ac_save_CC="$CC"
# Don't try gcc -ansi; that turns off useful extensions and
# breaks some systems' header files.
# AIX			-qlanglvl=ansi
# Ultrix and OSF/1	-std1
# HP-UX			-Aa -D_HPUX_SOURCE
# SVR4			-Xc -D__EXTENSIONS__
for ac_arg in "" -qlanglvl=ansi -std1 "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
do
  CC="$ac_save_CC $ac_arg"
  AC_TRY_COMPILE(
[#include <stdarg.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
/* Most of the following tests are stolen from RCS 5.7's src/conf.sh.  */
struct buf { int x; };
FILE * (*rcsopen) (struct buf *, struct stat *, int);
static char *e (p, i)
     char **p;
     int i;
{
  return p[i];
}
static char *f (char * (*g) (char **, int), char **p, ...)
{
  char *s;
  va_list v;
  va_start (v,p);
  s = g (p, va_arg (v,int));
  va_end (v);
  return s;
}
int test (int i, double x);
struct s1 {int (*f) (int a);};
struct s2 {int (*f) (double a);};
int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
int argc;
char **argv;
], [
return f (e, argv, 0) != argv[0]  ||  f (e, argv, 1) != argv[1];
],
[am_cv_prog_cc_stdc="$ac_arg"; break])
done
CC="$ac_save_CC"
])
if test -z "$am_cv_prog_cc_stdc"; then
  AC_MSG_RESULT([none needed])
else
  AC_MSG_RESULT($am_cv_prog_cc_stdc)
fi
case "x$am_cv_prog_cc_stdc" in
  x|xno) ;;
  *) CC="$CC $am_cv_prog_cc_stdc" ;;
esac
])

